Venues

This endpoint is used for managing venue data

Get venues

get
/venues

Returns an array of all venues which the authenticated user is authorised to view. The response will be paginated.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
statusstring · enumOptional

Filters by the status of the venue.

Example: publicPossible values:
titlestringOptional

Filters by venues where the start of the title matches the venue's title. For example, filtering by "Bar" will return "Bar Collins", but filtering by "Collins" will not return "Bar Collins".

Example: Bar Collins
limitinteger · min: 1 · max: 30Optional

Limit the response to the specified number of records.

Default: 30Example: 30
sortstring[]Optional

The fields which the results should be sorted by. If this value is not specified, the records will be sorted in order of relevance to the query parameter. If the query parameter is not specified, records will be sorted in order of their created_date. To sort in decending order, prefix the field name with a '-' character.

Example: -last_updated
pagestringOptional

The page number to retrieve results for. Learn more about pagination

Default: 1Example: 2
Responses
chevron-right
200

Venues were successfully retrieved.

application/json
get
/venues

Get a venue

get
/venues/{venueId}

Returns details about a specific venue

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
venueIdstringRequired

The ID of the venue you want to retrieve

Responses
chevron-right
200

The venue was successfully retrieved.

application/json
get
/venues/{venueId}

Get active marketing preferences

get
/venues/{venueId}/marketing-preferences

Returns an array of active marketing preferences for the given venue. An active marketing preference is one which has been set up on the venue group level and activated on the individual venue.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
venueIdstringRequired

The venue ID to retrieve marketing preferences for

Responses
chevron-right
200

The active marketing preferences were successfully retrieved

application/json
idstringOptional

The ID of this marketing preference

Example: 5b0743f00000000000000000
namestringOptional

The name of this marketing preference

Example: SMS
descriptionstringOptional

A description of this marketing preference

Example: I am happy for Test Venue to contact me over SMS for exclusive offers
created_datestring · dateOptional

The date when this marketing preference was created

Example: 2019-03-13 22:09:30
get
/venues/{venueId}/marketing-preferences
200

The active marketing preferences were successfully retrieved

Last updated

Was this helpful?